ERROR:The type javax.servlet.http.HttpServletRequest cannot be resolved.

MyEclipse中附加工程出现如下错误:The type javax.servlet.http.HttpServletRequest cannot be resolved. 

解决方法如下:

(1)右键工程找到build path项

(2)找到Add Libraries

(3)点击myEclipse Libraries,Next

(4)添加JavaEE 5

时间: 09-07

ERROR:The type javax.servlet.http.HttpServletRequest cannot be resolved.的相关文章

The type javax.servlet.http.HttpServletRequest cannot be resolved.

The type javax.servlet.http.HttpServletRequest cannot be resolved. It is indirectly referenced from required .class files   是缺少serverlet的引用库,解决如下 1.工程右键-properties->java build path 2.在java build path的libraries tab页中选择Add external Jars...按钮 3. 选择eclip

在Myeclipse buildpath 加server lib (server runtime)/项目导入时报错:The import javax.servlet.http.HttpServletRequest cannot be resolved

来源于:http://blog.csdn.net/dingqinghu/article/details/8805922 http://yl-fighting.iteye.com/blog/1409468 使用Myeclipse,将eclipse下的工程复制过来后,发现提示Tomcat 7.0 unbound.缺少Server Runtime. 解决方法如下:1,File->New->Other->Server->Server(注意在new时,需要勾上Show All Wizards

eclipse中 报出The type javax.servlet.http.HttpServlet cannot be resolved. It is indirect错误

在Myeclispe部署项目后 报错 The type javax.servlet.http.HttpServlet cannot be resolved. It is indirect错误 如果在MyEclipse中遇到这种情况,也就是HttpServletRequest报红叉的时候,这样做1.右键工程找到build path项2.找到Add Libraries3.点击myEclipse Libraries,Next4.添加JavaEE 5OK

The import javax.servlet.http.HttpServletRequest cannot be resolved

Description: 我们经常会把别人的项目copy到自己这里进行二次开发或者参考,有的时候会发生上面的错误, 即eclipse项目里我们导入的项目里提示HttpServletRequest 不能引用,会伴随头疼的小红叉出现. Accuse: 具体原因是我们工程里面web-inf/lib目录下少了相应的包:Package javax.servlet.http引起的: 通俗且确切的讲就是缺少TOMCAT_HOME\lib下的servlet-api.jar. 我导入别人的项目,在别人的机器上他配

java编译错误:程序包javax.servlet不存在javax.servlet.*

今天在关于servlet的编译中出现了一下小小的错误,如图所示: 程序包javax.servlet不存在,并且程序包javax.servlet.http不存在等错误.我查阅了一下资料由于servlet和JSP不是java平台j2se(标准版)的一部分,而是j2EE的一部分,因此必须告知编译器servlet的位置. 解决方案如下: 1.注意大小写的问题.servlet的字母要注意是小写. 2.搜索servlet-api.jar,在tomcat文件夹中. 3.更改环境变量中CLASSPATH的值,将

maven中解决Type javax.servlet.jsp cannot be resolved to a type

解决方案: 在Maven的pom文件中引发如下依赖jar: <dependency> <groupId>javax.servlet.jsp</groupId> <artifactId>jsp-api</artifactId> <version>2.2.1-b03</version> </dependency> <dependency> <groupId>javax.servlet<

篇一:The superclass &quot;javax.servlet.http.HttpServlet&quot; was not found on the Java Build Path

错误:The superclass "javax.servlet.http.HttpServlet" was not found on the Java Build Path 解决方法:选中项目-->右键选中"Build Path"-->Configure Build Path 点击Add Library 点击Next 最后记得Apply一下,然后就OK了

JSP报错:The superclass &quot;javax.servlet.http.HttpServlet&quot; was not found on the Java Build Path

解决方案: 1.根据文档检查发现并没有安装Tomcat,然后准备在Eclipse中安装Tomcat. JSP报错:The superclass "javax.servlet.http.HttpServlet" was not found on the Java Build Path 2.Eclipse中集成Tomcat,安装好以后,在菜单栏依旧没有猫咪.于是又准备去进行第三步,安装Tomcat插件. http://www.cnblogs.com/leiOOlei/p/3372258.h

eclipse下遇到 无法解析类型 javax.servlet.http.HttpServletRequest

参考:http://bbs.csdn.net/topics/370187655?page=1 java.lang.Error: 无法解析的编译问题: 无法解析类型 javax.servlet.http.HttpServletResponse.从必需的 .class 文件间接引用了它 无法解析类型 无法解析导入 无法解析导入 javax.servlet.http.HttpServletResponse 解决的方法: 是因为没有为项目导入服务器的运行环境: 具体的方法是右键项目--〉java 构建路